package com.cxytiandi.springboot_vue_server.util;

import javax.servlet.http.HttpServletRequest;
import org.springframework.util.StringUtils;

import com.cxytiandi.springboot_vue_server.util.JWTUtils.JWTResult;

public class UserInfoUtils {
	
	public static String getLoginUserId(HttpServletRequest request) {
		String authorization = request.getHeader("Authorization");
		if (StringUtils.hasText(authorization)) {
			JWTResult result = JWTUtils.getInstance().checkToken(authorization);
			if (result.isStatus()) {
				return result.getUid();
			}
		}
		return null;
	}
	
}
